#
# spec file for package python-django-sekizai
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-django-sekizai
Version:        0.10.0
Release:        lp151.1.1
Summary:        Django Template Blocks with extra functionality
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/ojii/django-sekizai
Source:         https://github.com/divio/django-sekizai/archive/%{version}.tar.gz
Patch0:         django-sekizai-django2.patch
Patch1:         django-sekizai-pycodestyle.patch
Patch2:         django-sekizai-py37.patch
BuildRequires:  %{python_module Django >= 1.11}
BuildRequires:  %{python_module django-classy-tags >= 0.3.1}
BuildRequires:  %{python_module pycodestyle}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 1.11
Requires:       python-django-classy-tags >= 0.3.1
BuildArch:      noarch
%python_subpackages

%description
Django Template Blocks with extra functionality

%prep
%setup -q -n django-sekizai-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec runtests.py

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Fri Jan  4 2019 Jan Engelhardt <jengelh@inai.de>
- Avoid name repetition in summary.
* Thu Jan  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to work with py37:
  * django-sekizai-py37.patch
- Add patch to work without pep8 module:
  * django-sekizai-pycodestyle.patch
* Thu Jan  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to work with current djangos:
  * django-sekizai-django2.patch
* Thu Jan  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by django_compressor
